ChangeSet 1.1093.2.1, 2003/05/13 12:35:44-07:00, greg@kroah.com

[PATCH] USB: fix jiffies warning in uss720.c


diff -Nru a/drivers/usb/misc/uss720.c b/drivers/usb/misc/uss720.c
--- a/drivers/usb/misc/uss720.c	Wed May 14 12:30:26 2003
+++ b/drivers/usb/misc/uss720.c	Wed May 14 12:30:26 2003
@@ -146,7 +146,7 @@
 	if (m <= ECR_PS2 && !(priv->reg[1] & 0x20)) {
 		/* This mode resets the FIFO, so we may
 		 * have to wait for it to drain first. */
-		long expire = jiffies + pp->physport->cad->timeout;
+		unsigned long expire = jiffies + pp->physport->cad->timeout;
 		switch (mode) {
 		case ECR_PPF: /* Parallel Port FIFO mode */
 		case ECR_ECP: /* ECP Parallel Port mode */
